# getBalanceChanges | xrpl
Documentation for xrpl

# Function getBalanceChanges

- getBalanceChanges(metadata: TransactionMetadata ): {
  account: string;
  balances: {
  currency: string;
  issuer?: string;
  value: string;
  }[];
  }[]

- Computes the complete list of every balance that changed in the ledger as a result of the given transaction.

  ### Returns

  Parsed balance changes.

  #### Parameters

  - ##### metadata: TransactionMetadata

    Transaction metadata.

  #### Returns {
  account: string;
  balances: {
  currency: string;
  issuer?: string;
  value: string;
  }[];
  }[]

  - Defined in packages/xrpl/src/utils/getBalanceChanges.ts:163

Generated using TypeDoc